unit Demo;

interface

uses
  Windows, Math, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ExtCtrls, Menus, Circle, Rectangle, Segment;

type
  TForm1 = class(TForm)
    MainMenu1: TMainMenu;
    C1: TMenuItem;
    N1: TMenuItem;
    Image1: TImage;
    N2: TMenuItem;
    N3: TMenuItem;
    N4: TMenuItem;
    N5: TMenuItem;
    N6: TMenuItem;
    N7: TMenuItem;
    N8: TMenuItem;
    N9: TMenuItem;
    N10: TMenuItem;
    N11: TMenuItem;
    N12: TMenuItem;
    N13: TMenuItem;
    N14: TMenuItem;
    N15: TMenuItem;
    N16: TMenuItem;
    N17: TMenuItem;
    N18: TMenuItem;
    N19: TMenuItem;
    N20: TMenuItem;
    N21: TMenuItem;
    procedure FormCreate(Sender: TObject);
    procedure N3Click(Sender: TObject);
    procedure N4Click(Sender: TObject);
    procedure N5Click(Sender: TObject);
    procedure N6Click(Sender: TObject);
    procedure N7Click(Sender: TObject);
    procedure N8Click(Sender: TObject);
    procedure N9Click(Sender: TObject);
    procedure N10Click(Sender: TObject);
    procedure N11Click(Sender: TObject);
    procedure N12Click(Sender: TObject);
    procedure N13Click(Sender: TObject);
    procedure N14Click(Sender: TObject);
    procedure N15Click(Sender: TObject);
    procedure N16Click(Sender: TObject);
    procedure N17Click(Sender: TObject);
    procedure N18Click(Sender: TObject);
    procedure N19Click(Sender: TObject);
    procedure N20Click(Sender: TObject);
    procedure N21Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;
  Circ1: TCircle;
  Rect1: TRectangle;
  Segm1: TSegment;
  CircMass: array[1..5] of TCircle;
  RectMass: array[1..5] of TRectangle;
  SegmMass: array[1..5] of TSegment;

implementation

{$R *.dfm}

// :  
procedure TForm1.FormCreate(Sender: TObject);
begin
  Image1.Canvas.Pen.Mode := pmNotXOR;
  randomize;
end;

//  :  
procedure TForm1.N4Click(Sender: TObject);
begin
  if Circ1<>nil then
    Circ1.Delete;

  Circ1:=TCircle.Circle(Image1);
  Circ1.Show;
end;

//  :  
procedure TForm1.N10Click(Sender: TObject);
begin
  if Circ1<>nil then
    Circ1.MoveTo(randomrange(-50,50),randomrange(-50,50))
  else
    ShowMessage(' !');
end;

//  :  
procedure TForm1.N16Click(Sender: TObject);
begin
  if Circ1<>nil then
    Circ1.Resize(randomrange(10,100))
  else
    ShowMessage(' !');
end;

//  :  
procedure TForm1.N5Click(Sender: TObject);
begin
  if Rect1<>nil then
    Rect1.Delete;

  Rect1:=TRectangle.Rectangle(Image1);
  Rect1.Show;
end;

//  :  
procedure TForm1.N11Click(Sender: TObject);
begin
  if Rect1<>nil then
    Rect1.MoveTo(randomrange(-50,50),randomrange(-50,50))
  else
    ShowMessage(' !');
end;

//  :  
procedure TForm1.N17Click(Sender: TObject);
begin
  if Rect1<>nil then
    Rect1.Resize(randomrange(-50,50),randomrange(-50,50))
  else
    ShowMessage(' !');
end;

//  :  
procedure TForm1.N6Click(Sender: TObject);
begin
  if Segm1<>nil then
    Segm1.Delete;

  Segm1:=TSegment.Segment(Image1);
  Segm1.Show;
end;

//  :  
procedure TForm1.N12Click(Sender: TObject);
begin
  if Segm1<>nil then
    Segm1.MoveTo(randomrange(-50,50),randomrange(-50,50))
  else
    ShowMessage(' !');
end;

//  :  
procedure TForm1.N18Click(Sender: TObject);
begin
  if Segm1<>nil then
    Segm1.Resizedirect(randomrange(25,100),random(round(2*Pi)))
  else
    ShowMessage(' !');
end;

//  :   
procedure TForm1.N7Click(Sender: TObject);
var i:integer;
begin

  if CircMass[1]<>nil then
    for i:=1 to 5 do
      CircMass[i].Delete;

  for i:=1 to 5 do
  begin
    CircMass[i]:=TCircle.Circle(Image1);
    CircMass[i].Show;
  end;
end;

//  :   
procedure TForm1.N13Click(Sender: TObject);
var
  i,dx,dy:integer;
begin
  if CircMass[1]<>nil then
  begin
    dx:=randomrange(-30,30);
    dy:=randomrange(-30,30);

    for i:=1 to 5 do
      CircMass[i].MoveTo(dx,dy);
  end
  else
    ShowMessage('  !');
end;

//  :   
procedure TForm1.N19Click(Sender: TObject);
var
  i:integer;
begin
  if CircMass[1]<>nil then
    for i:=1 to 5 do
      CircMass[i].Resize(randomrange(10,100))
  else
    ShowMessage('  !');
end;

//  :   
procedure TForm1.N8Click(Sender: TObject);
var
  i:integer;
begin

  if RectMass[1]<>nil then
    for i:=1 to 5 do
      RectMass[i].Delete;

  for i:=1 to 5 do
  begin
    RectMass[i]:=TRectangle.Rectangle(Image1);
    RectMass[i].Show;
  end;
end;

//  :   
procedure TForm1.N14Click(Sender: TObject);
var
  i,dx,dy:integer;
begin
  if RectMass[1]<>nil then
  begin
    dx:=randomrange(-30,30);
    dy:=randomrange(-30,30);

    for i:=1 to 5 do
      RectMass[i].MoveTo(dx,dy);
  end
  else
    ShowMessage('  !');
end;

//  :   
procedure TForm1.N20Click(Sender: TObject);
var
  i:integer;
begin
  if RectMass[1]<>nil then
    for i:=1 to 5 do
      RectMass[i].Resize(randomrange(-50,50),randomrange(-50,50))
  else
    ShowMessage('  !');
end;

//  :   
procedure TForm1.N9Click(Sender: TObject);
var
  i:integer;
begin

  if SegmMass[1]<>nil then
    for i:=1 to 5 do
      SegmMass[i].Delete;

  for i:=1 to 5 do
  begin
    SegmMass[i]:=TSegment.Segment(Image1);
    SegmMass[i].Show;
  end;
end;

//  :   
procedure TForm1.N15Click(Sender: TObject);
var
  i,dx,dy:integer;
begin
  if SegmMass[1]<>nil then
  begin
    dx:=randomrange(-30,30);
    dy:=randomrange(-30,30);

    for i:=1 to 5 do
      SegmMass[i].MoveTo(dx,dy);
  end
  else
    ShowMessage('  !');
end;

//  :   
procedure TForm1.N21Click(Sender: TObject);
var
  i:integer;
begin
  if SegmMass[1]<>nil then
    for i:=1 to 5 do
      SegmMass[i].Resizedirect(randomrange(25,100),random(round(2*Pi)))
  else
    ShowMessage('  !');
end;

//  : 
procedure TForm1.N3Click(Sender: TObject);
var
  i:integer;
begin
  Circ1.Free;
  Rect1.Free;
  Segm1.Free;

  for i:=1 to 5 do
  begin
    CircMass[i].Free;
    RectMass[i].Free;
    SegmMass[i].Free;
  end;

  Close;
end;

end.
